<?php
/** 
 *	iCagenda - iC calendar
 *----------------------------------------------------------------------------
 * @package     com_icagenda
 * @copyright	Copyright (C) 2012-2013 JOOMLIC - All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Jooml!C - http://www.joomlic.com
 * 
 * @updated		2013-03-04
 * @version		2.1
 *----------------------------------------------------------------------------
*/

// No direct access to this file
defined( '_JEXEC' ) or die( 'Restricted access' );


// Load file helper
$com_front = dirname(JApplicationHelper::getPath('front','com_icagenda')).DS;
//require_once ($com_front.'helpers'.DS.'icmodcalendar.php');
if(!class_exists('modiCcalendarHelper'))require_once ($com_front.'helpers'.DS.'icmodcalendar.php');

jimport( 'joomla.environment.request' );

// Module ID
$modid=$module->id;

// Module
$cal=new modiCcalendarHelper;
$data = $cal->getStamp($params);

$date_start=date('Y-m-d');

//$modid=JRequest::getVar('id');
$dateget=JRequest::getVar('date');
if(isset($dateget)) $date_start=$dateget;
$nav=$cal->getNav($date_start);

// Params of the Module iC Calendar
$template=$params->get('template');
$mouseover=$params->get('mouseover');
$position=$params->get('position');
$posmiddle=$params->get('posmiddle');
$moduleclass_sfx=$params->get('moduleclass_sfx');
$mon=$params->get('mon');
$tue=$params->get('tue');
$wed=$params->get('wed');
$thu=$params->get('thu');
$fri=$params->get('fri');
$sat=$params->get('sat');
$sun=$params->get('sun');
$firstday=$params->get('firstday');
$bgcolor=$params->get('bgcolor');
$bgimage=$params->get('bgimage');
$bgimagerepeat=$params->get('bgimagerepeat');

if ($firstday == NULL) {
		$firstday = '1';
}
if ($firstday == '0') {
	$na=7;$nb=1;$nc=2;$nd=3;$ne=4;$nf=5;$ng=6;
}
if ($firstday == '1') {
	$na=1;$nb=2;$nc=3;$nd=4;$ne=5;$nf=6;$ng=7;
}

// Search template of iC Calendar
if(!file_exists("components/com_icagenda/themes/packs/".$template."/".$template."_calendar.php")){
	$template='default';
}
$t_calendar = "components/com_icagenda/themes/packs/".$template."/".$template."_calendar.php";
$t_day = "components/com_icagenda/themes/packs/".$template."/".$template."_day.php";

// Load Theme Pack css
JHTML::_('stylesheet', $template.'_module.css', 'components/com_icagenda/themes/packs/'.$template.'/css/');

//Load JS
JHTML::_('behavior.mootools');
unset($document);
$document = JFactory::getDocument();

// load jQuery, if not loaded before
//
// Under Test in 2.0.5 !
//
	$header = $document->getHeadData();

		$loadJquery = true;
		switch($params->get('loadJquery',"auto")){
			case "0":
				$loadJquery = false;
				break;
			case "1":
				$loadJquery = true;
				break;
			case "auto":

				foreach($header['scripts'] as $scriptName => $scriptData)
				{
					if(substr_count($scriptName,'jquery'))
					{
						$loadJquery = false;
						break;
					}
				}
			break;
		}
		//Add js
		if($loadJquery)
		{
			$document->addScript( 'https://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js' );
		}
    $document->addScript( 'modules/mod_iccalendar/js/jquery.noconflict.js' );
	$document->addScript( 'modules/mod_iccalendar/js/function.js' );
	$document->addScript( 'modules/mod_iccalendar/js/ictip.js' );


// load jQuery, if not loaded before (old 2.0.4 function)
/*
$scripts = array_keys($document->_scripts);
$scriptFound = false;
$noconflictscriptFound = false;
for ($i = 0; $i < count($scripts); $i++) {
    if (stripos($scripts[$i], 'jquery.min.js') !== false) {
        $scriptFound = true;
    }
// load jQuery, if not loaded before as jquery
    if (stripos($scripts[$i], 'jquery.js') !== false) {
        $scriptFound = true;
    }
// load jQuery noConflict js, if not loaded before
    if (stripos($scripts[$i], 'jquery.noconflict.js') !== false) {
        $noconflictscriptFound = true;
    }
}

// jQuery Library Loader
if (!$scriptFound) {
	// load jQuery, if not loaded before
	if (!JFactory::getApplication()->get('jquery')) {
		JFactory::getApplication()->set('jquery', true);
		// add jQuery
		$document->addScript("https://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js");
	}
}

if (!$noconflictscriptFound) {
    $document->addScript("modules/mod_iccalendar/js/jquery.noconflict.js");
}


$document->addScript( "modules/mod_iccalendar/js/function.js" );
$document->addScript( "modules/mod_iccalendar/js/ictip.js" );
*/

// control options tip position center
if ($position == 'center') {
	$posit=$posmiddle.$position;
}
if ($position != 'center') {
	$posit=$position;
}

$icclasstip = '.iccalendar .icevent a';
$icclass = '.iccalendar';

//Add options var to iCtip.js
	//$document->addScriptDeclaration('var icmouse = \''.$mouseover.'\';');
	//$document->addScriptDeclaration('var icclasstip = \''.$icclasstip.'\';');
	//$document->addScriptDeclaration('var icclass = \''.$icclass.'\';');
	//$document->addScriptDeclaration('var posit = \''.$posit.'\';');
	?>
	<script type="text/javascript">
		var icmouse = '<?php echo $mouseover; ?>';
		var icclasstip = '<?php echo $icclasstip; ?>';
		var icclass = '<?php echo $icclass; ?>';
		var posit = '<?php echo $posit; ?>';
	</script>
	<?php

unset($stamp);

//if (!class_exists($stamp)) {
	$stamp = new cal($data, $t_day, $nav, $mon, $tue, $wed, $thu, $fri, $sat, $sun, $firstday, $bgcolor, $bgimage, $bgimagerepeat, $na,$nb,$nc,$nd,$ne,$nf,$ng);
//}
// else {
//}


require_once $t_calendar;


//$date=strftime("%Y %B %d");

